function skill3032()

p = flag.GetBattleValue(33032)--攻守开关，0为未使用攻势守势，1为攻势状态，2为守势状态
if p==0 or p==2 then

	for se=1,7,1 do
		if battle.CheckNpcPlace(se)==0 then
			local tid=battle.GetPlaceNpcID(se)
			      tsgj=player.GetLevel(32)*25
				  if tsgj>600 then tsgj=600 end
			      npc.ChangeDef(tid,-tsgj)
		          npc.ChangeMagicDef(tid,0,-20)
				  npc.ChangeMagicDef(tid,1,-20)
				  npc.ChangeMagicDef(tid,2,-20)
				  npc.ChangeMagicDef(tid,3,-20)
				  npc.ChangeMagicDef(tid,4,-20)
				  npc.ChangeMagicDef(tid,5,-20)
				  npc.ChangeMagicDef(tid,7,-20)
		end
	end
	
end

if p==2 then

--player.ChangeMagicDef(32,-3000,1)
--player.ChangeDef(32,-3000,1)
player.ChangeMagicDef(32,-700,1)
player.ChangeDef(32,-700,1)

	for pis=1,9,1 do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if pisd~=32 then
	      --player.ChangeMagicDef(pisd,-700,1)
          --player.ChangeDef(pisd,-700,1)
		  player.ChangeMagicDef(pisd,-400,1)
          player.ChangeDef(pisd,-400,1)
	   end
	end
	end

end

local pid=battle.GetActingPlayerID()
	if battle.CheckPlayerStat(pid,703)==1 then
	    player.RemoveStat(0,pid,703)
	end
	player.AddStat(0,pid,9000,703,999)
	
	if battle.CheckPlayerStat(pid,704)==1 then
	    player.RemoveStat(0,pid,704)
	end

flag.SetBattleValue(33032,1)

	for pis=1,9,1 do
	if battle.CheckPlayerPlace(pis)==1 then 
	   pisd=battle.GetPlacePlayerID(pis)
	   player.CreateSE(pisd,3915)
	   for n=1,10,1 do
	        if 2^(n-1)==pisd then player.LockPlace(p_id(n),1) end
       end
	end
	end
	
end